Skip to main content
aboutsummaryrefslogtreecommitdiffstats
path: root/releng
diff options
context:
space:
mode:
authorBenjamin Muskalla2010-01-22 16:31:36 +0000
committerBenjamin Muskalla2010-01-22 16:31:36 +0000
commite8cb4329b8d773bc71ebb82eebf5a0cf6f0e0869 (patch)
treec67e88efde33b041093d740e820cca5b55e4f8a9 /releng
parent78401ac4ed0fd6f214b0c4b933657c5b6fae0c35 (diff)
downloadorg.eclipse.rap-e8cb4329b8d773bc71ebb82eebf5a0cf6f0e0869.tar.gz
org.eclipse.rap-e8cb4329b8d773bc71ebb82eebf5a0cf6f0e0869.tar.xz
org.eclipse.rap-e8cb4329b8d773bc71ebb82eebf5a0cf6f0e0869.zip
fixed bug 297172: [releng] Start servlet-engine for test-deployment from demo war build script
Diffstat (limited to 'releng')
-rwxr-xr-xreleng/org.eclipse.rap.releng/scripts/war-hudson.sh13
1 files changed, 12 insertions, 1 deletions
diff --git a/releng/org.eclipse.rap.releng/scripts/war-hudson.sh b/releng/org.eclipse.rap.releng/scripts/war-hudson.sh
index bc8d311c59..d94357ac71 100755
--- a/releng/org.eclipse.rap.releng/scripts/war-hudson.sh
+++ b/releng/org.eclipse.rap.releng/scripts/war-hudson.sh
@@ -18,6 +18,12 @@ $scriptsDir/build-common.sh \
--base-platform "$PLATFORM_DIR" \
--builder "org.eclipse.rap/releng/org.eclipse.rap.releng/warbuild"
+# start build-internal tomcat
+$tomcatDir/bin/startup.sh
+
+# give tomcat a chance to start
+sleep 1m
+
if [ $? = 0 ]; then
oldDeployment=`stat -c %Y $tomcatDir/work/Catalina/localhost/rapdemo/`
@@ -29,9 +35,14 @@ if [ $? = 0 ]; then
# check if the deployment is newer then the last one
newDeployment=`stat -c %Y $tomcatDir/work/Catalina/localhost/rapdemo/`
+ result=0;
if [ $oldDeployment -ge $newDeployment ]; then
echo "Demo War archive was not successfully deployed to Tomcat."
- exit 42
+ result=42
fi
+
+ # shutdown tomcat
+ $tomcatDir/bin/shutdown.sh
+ exit $result
fi

Back to the top